# Interface methods for submodule: ImportImageFilter
from typing import Union, Any
# additional imports
from .support.template_class import itkTemplate as _itkTemplate
from ._proxies import ImageSourceProxy as _ImageSourceProxy


# Interface methods for class: ImportImageFilter
class ImportImageFilterProxy(_ImageSourceProxy):
	@staticmethod
	def New():
		""""""
		...

	def Clone(self):
		""""""
		...

	def GetNameOfClass(self):
		""""""
		...

	def GetImportPointer(self):
		""""""
		...

	def SetImportPointer(self, ptr, num: int, LetImageContainerManageMemory: bool) -> None:
		""""""
		...

	def SetRegion(self, region: ImageRegion) -> None:
		""""""
		...

	def GetRegion(self) -> ImageRegion:
		""""""
		...

	@overload
	def SetSpacing(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetSpacing(self, data) -> None:
		""""""
		...

	def GetSpacing(self) -> Sequence[float]:
		""""""
		...

	@overload
	def SetOrigin(self, _arg: Sequence[float]) -> None:
		""""""
		...

	@overload
	def SetOrigin(self, data) -> None:
		""""""
		...

	def GetOrigin(self) -> Sequence[float]:
		""""""
		...

	def SetDirection(self, direction) -> None:
		""""""
		...

	def GetDirection(self):
		""""""
		...

